/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package fr.smile.socialnetworking.model.impl;

import java.io.Serializable;
import java.lang.reflect.Proxy;
import java.sql.Types;
import java.util.Date;

import com.liferay.portal.kernel.bean.AutoEscapeBeanHandler;
import com.liferay.portal.kernel.exception.SystemException;
import com.liferay.portal.kernel.util.DateUtil;
import com.liferay.portal.kernel.util.GetterUtil;
import com.liferay.portal.kernel.util.StringBundler;
import com.liferay.portal.kernel.util.StringPool;
import com.liferay.portal.model.CacheModel;
import com.liferay.portal.model.impl.BaseModelImpl;
import com.liferay.portal.service.ServiceContext;
import com.liferay.portal.util.PortalUtil;
import com.liferay.portlet.expando.model.ExpandoBridge;
import com.liferay.portlet.expando.util.ExpandoBridgeFactoryUtil;

import fr.smile.socialnetworking.model.MeetupsEntry;
import fr.smile.socialnetworking.model.MeetupsEntryModel;

/**
 * The base model implementation for the MeetupsEntry service. Represents a row in the &quot;SN_SMILE_MeetupsEntry&quot;
 * database table, with each column mapped to a property of this class.
 * 
 * <p>
 * This implementation and its corresponding interface {@link fr.smile.socialnetworking.model.MeetupsEntryModel} exist
 * only as a container for the default property accessors generated by ServiceBuilder. Helper methods and all
 * application logic should be put in {@link MeetupsEntryImpl}.
 * </p>
 * 
 * @author Brian Wing Shun Chan
 * @see MeetupsEntryImpl
 * @see fr.smile.socialnetworking.model.MeetupsEntry
 * @see fr.smile.socialnetworking.model.MeetupsEntryModel
 * @generated
 */
public class MeetupsEntryModelImpl extends BaseModelImpl<MeetupsEntry> implements MeetupsEntryModel {

    public static final String     TABLE_NAME           = "SN_SMILE_MeetupsEntry";
    public static final Object[][] TABLE_COLUMNS        = { { "meetupsEntryId", Types.BIGINT },
            { "groupId", Types.BIGINT }, { "companyId", Types.BIGINT }, { "userId", Types.BIGINT },
            { "userName", Types.VARCHAR }, { "createDate", Types.TIMESTAMP }, { "modifiedDate", Types.TIMESTAMP },
            { "title", Types.VARCHAR }, { "description", Types.VARCHAR }, { "startDate", Types.TIMESTAMP },
            { "endDate", Types.TIMESTAMP }, { "totalAttendees", Types.INTEGER }, { "maxAttendees", Types.INTEGER },
            { "price", Types.DOUBLE }, { "thumbnailId", Types.BIGINT } };
    public static final String     TABLE_SQL_CREATE     = "create table SN_SMILE_MeetupsEntry (meetupsEntryId LONG not null primary key,groupId LONG,companyId LONG,userId LONG,userName VARCHAR(75) null,createDate DATE null,modifiedDate DATE null,title VARCHAR(75) null,description STRING null,startDate DATE null,endDate DATE null,totalAttendees INTEGER,maxAttendees INTEGER,price DOUBLE,thumbnailId LONG)";
    public static final String     TABLE_SQL_DROP       = "drop table SN_SMILE_MeetupsEntry";
    public static final String     ORDER_BY_JPQL        = " ORDER BY meetupsEntry.startDate DESC";
    public static final String     ORDER_BY_SQL         = " ORDER BY SN_SMILE_MeetupsEntry.startDate DESC";
    public static final String     DATA_SOURCE          = "liferayDataSource";
    public static final String     SESSION_FACTORY      = "liferaySessionFactory";
    public static final String     TX_MANAGER           = "liferayTransactionManager";
    public static final boolean    ENTITY_CACHE_ENABLED = GetterUtil
                                                                .getBoolean(
                                                                        com.liferay.util.service.ServiceProps
                                                                                .get("value.object.entity.cache.enabled.fr.smile.socialnetworking.model.MeetupsEntry"),
                                                                        true);
    public static final boolean    FINDER_CACHE_ENABLED = GetterUtil
                                                                .getBoolean(
                                                                        com.liferay.util.service.ServiceProps
                                                                                .get("value.object.finder.cache.enabled.fr.smile.socialnetworking.model.MeetupsEntry"),
                                                                        true);

    @Override
    public Class<?> getModelClass() {
        return MeetupsEntry.class;
    }

    @Override
    public String getModelClassName() {
        return MeetupsEntry.class.getName();
    }

    public static final long LOCK_EXPIRATION_TIME = GetterUtil
                                                          .getLong(com.liferay.util.service.ServiceProps
                                                                  .get("lock.expiration.time.fr.smile.socialnetworking.model.MeetupsEntry"));

    public MeetupsEntryModelImpl() {
    }

    @Override
    public long getPrimaryKey() {
        return _meetupsEntryId;
    }

    @Override
    public void setPrimaryKey(long primaryKey) {
        setMeetupsEntryId(primaryKey);
    }

    @Override
    public Serializable getPrimaryKeyObj() {
        return new Long(_meetupsEntryId);
    }

    @Override
    public void setPrimaryKeyObj(Serializable primaryKeyObj) {
        setPrimaryKey(((Long) primaryKeyObj).longValue());
    }

    @Override
    public long getMeetupsEntryId() {
        return _meetupsEntryId;
    }

    @Override
    public void setMeetupsEntryId(long meetupsEntryId) {
        _meetupsEntryId = meetupsEntryId;
    }

    @Override
    public long getGroupId() {
        return _groupId;
    }

    @Override
    public void setGroupId(long groupId) {
        _groupId = groupId;
    }

    @Override
    public long getCompanyId() {
        return _companyId;
    }

    @Override
    public void setCompanyId(long companyId) {
        _companyId = companyId;
    }

    @Override
    public long getUserId() {
        return _userId;
    }

    @Override
    public void setUserId(long userId) {
        _userId = userId;
    }

    @Override
    public String getUserUuid() throws SystemException {
        return PortalUtil.getUserValue(getUserId(), "uuid", _userUuid);
    }

    @Override
    public void setUserUuid(String userUuid) {
        _userUuid = userUuid;
    }

    @Override
    public String getUserName() {
        if (_userName == null) {
            return StringPool.BLANK;
        }
        else {
            return _userName;
        }
    }

    @Override
    public void setUserName(String userName) {
        _userName = userName;
    }

    @Override
    public Date getCreateDate() {
        return _createDate;
    }

    @Override
    public void setCreateDate(Date createDate) {
        _createDate = createDate;
    }

    @Override
    public Date getModifiedDate() {
        return _modifiedDate;
    }

    @Override
    public void setModifiedDate(Date modifiedDate) {
        _modifiedDate = modifiedDate;
    }

    @Override
    public String getTitle() {
        if (_title == null) {
            return StringPool.BLANK;
        }
        else {
            return _title;
        }
    }

    @Override
    public void setTitle(String title) {
        _title = title;
    }

    @Override
    public String getDescription() {
        if (_description == null) {
            return StringPool.BLANK;
        }
        else {
            return _description;
        }
    }

    @Override
    public void setDescription(String description) {
        _description = description;
    }

    @Override
    public Date getStartDate() {
        return _startDate;
    }

    @Override
    public void setStartDate(Date startDate) {
        _startDate = startDate;
    }

    @Override
    public Date getEndDate() {
        return _endDate;
    }

    @Override
    public void setEndDate(Date endDate) {
        _endDate = endDate;
    }

    @Override
    public int getTotalAttendees() {
        return _totalAttendees;
    }

    @Override
    public void setTotalAttendees(int totalAttendees) {
        _totalAttendees = totalAttendees;
    }

    @Override
    public int getMaxAttendees() {
        return _maxAttendees;
    }

    @Override
    public void setMaxAttendees(int maxAttendees) {
        _maxAttendees = maxAttendees;
    }

    @Override
    public double getPrice() {
        return _price;
    }

    @Override
    public void setPrice(double price) {
        _price = price;
    }

    @Override
    public long getThumbnailId() {
        return _thumbnailId;
    }

    @Override
    public void setThumbnailId(long thumbnailId) {
        _thumbnailId = thumbnailId;
    }

    @Override
    public MeetupsEntry toEscapedModel() {
        if (isEscapedModel()) {
            return (MeetupsEntry) this;
        }
        else {
            if (_escapedModelProxy == null) {
                _escapedModelProxy = (MeetupsEntry) Proxy.newProxyInstance(_classLoader, _escapedModelProxyInterfaces,
                        new AutoEscapeBeanHandler(this));
            }

            return _escapedModelProxy;
        }
    }

    @Override
    public ExpandoBridge getExpandoBridge() {
        if (_expandoBridge == null) {
            _expandoBridge = ExpandoBridgeFactoryUtil.getExpandoBridge(getCompanyId(), MeetupsEntry.class.getName(),
                    getPrimaryKey());
        }

        return _expandoBridge;
    }

    @Override
    public void setExpandoBridgeAttributes(ServiceContext serviceContext) {
        getExpandoBridge().setAttributes(serviceContext);
    }

    @Override
    public Object clone() {
        MeetupsEntryImpl meetupsEntryImpl = new MeetupsEntryImpl();

        meetupsEntryImpl.setMeetupsEntryId(getMeetupsEntryId());
        meetupsEntryImpl.setGroupId(getGroupId());
        meetupsEntryImpl.setCompanyId(getCompanyId());
        meetupsEntryImpl.setUserId(getUserId());
        meetupsEntryImpl.setUserName(getUserName());
        meetupsEntryImpl.setCreateDate(getCreateDate());
        meetupsEntryImpl.setModifiedDate(getModifiedDate());
        meetupsEntryImpl.setTitle(getTitle());
        meetupsEntryImpl.setDescription(getDescription());
        meetupsEntryImpl.setStartDate(getStartDate());
        meetupsEntryImpl.setEndDate(getEndDate());
        meetupsEntryImpl.setTotalAttendees(getTotalAttendees());
        meetupsEntryImpl.setMaxAttendees(getMaxAttendees());
        meetupsEntryImpl.setPrice(getPrice());
        meetupsEntryImpl.setThumbnailId(getThumbnailId());

        meetupsEntryImpl.resetOriginalValues();

        return meetupsEntryImpl;
    }

    @Override
    public int compareTo(MeetupsEntry meetupsEntry) {
        int value = 0;

        value = DateUtil.compareTo(getStartDate(), meetupsEntry.getStartDate());

        value = value * -1;

        if (value != 0) {
            return value;
        }

        return 0;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }

        MeetupsEntry meetupsEntry = null;

        try {
            meetupsEntry = (MeetupsEntry) obj;
        } catch (ClassCastException cce) {
            return false;
        }

        long primaryKey = meetupsEntry.getPrimaryKey();

        if (getPrimaryKey() == primaryKey) {
            return true;
        }
        else {
            return false;
        }
    }

    @Override
    public int hashCode() {
        return (int) getPrimaryKey();
    }

    @Override
    public void resetOriginalValues() {
    }

    @Override
    public CacheModel<MeetupsEntry> toCacheModel() {
        MeetupsEntryCacheModel meetupsEntryCacheModel = new MeetupsEntryCacheModel();

        meetupsEntryCacheModel.meetupsEntryId = getMeetupsEntryId();

        meetupsEntryCacheModel.groupId = getGroupId();

        meetupsEntryCacheModel.companyId = getCompanyId();

        meetupsEntryCacheModel.userId = getUserId();

        meetupsEntryCacheModel.userName = getUserName();

        String userName = meetupsEntryCacheModel.userName;

        if ((userName != null) && (userName.length() == 0)) {
            meetupsEntryCacheModel.userName = null;
        }

        Date createDate = getCreateDate();

        if (createDate != null) {
            meetupsEntryCacheModel.createDate = createDate.getTime();
        }
        else {
            meetupsEntryCacheModel.createDate = Long.MIN_VALUE;
        }

        Date modifiedDate = getModifiedDate();

        if (modifiedDate != null) {
            meetupsEntryCacheModel.modifiedDate = modifiedDate.getTime();
        }
        else {
            meetupsEntryCacheModel.modifiedDate = Long.MIN_VALUE;
        }

        meetupsEntryCacheModel.title = getTitle();

        String title = meetupsEntryCacheModel.title;

        if ((title != null) && (title.length() == 0)) {
            meetupsEntryCacheModel.title = null;
        }

        meetupsEntryCacheModel.description = getDescription();

        String description = meetupsEntryCacheModel.description;

        if ((description != null) && (description.length() == 0)) {
            meetupsEntryCacheModel.description = null;
        }

        Date startDate = getStartDate();

        if (startDate != null) {
            meetupsEntryCacheModel.startDate = startDate.getTime();
        }
        else {
            meetupsEntryCacheModel.startDate = Long.MIN_VALUE;
        }

        Date endDate = getEndDate();

        if (endDate != null) {
            meetupsEntryCacheModel.endDate = endDate.getTime();
        }
        else {
            meetupsEntryCacheModel.endDate = Long.MIN_VALUE;
        }

        meetupsEntryCacheModel.totalAttendees = getTotalAttendees();

        meetupsEntryCacheModel.maxAttendees = getMaxAttendees();

        meetupsEntryCacheModel.price = getPrice();

        meetupsEntryCacheModel.thumbnailId = getThumbnailId();

        return meetupsEntryCacheModel;
    }

    @Override
    public String toString() {
        StringBundler sb = new StringBundler(31);

        sb.append("{meetupsEntryId=");
        sb.append(getMeetupsEntryId());
        sb.append(", groupId=");
        sb.append(getGroupId());
        sb.append(", companyId=");
        sb.append(getCompanyId());
        sb.append(", userId=");
        sb.append(getUserId());
        sb.append(", userName=");
        sb.append(getUserName());
        sb.append(", createDate=");
        sb.append(getCreateDate());
        sb.append(", modifiedDate=");
        sb.append(getModifiedDate());
        sb.append(", title=");
        sb.append(getTitle());
        sb.append(", description=");
        sb.append(getDescription());
        sb.append(", startDate=");
        sb.append(getStartDate());
        sb.append(", endDate=");
        sb.append(getEndDate());
        sb.append(", totalAttendees=");
        sb.append(getTotalAttendees());
        sb.append(", maxAttendees=");
        sb.append(getMaxAttendees());
        sb.append(", price=");
        sb.append(getPrice());
        sb.append(", thumbnailId=");
        sb.append(getThumbnailId());
        sb.append("}");

        return sb.toString();
    }

    @Override
    public String toXmlString() {
        StringBundler sb = new StringBundler(49);

        sb.append("<model><model-name>");
        sb.append("fr.smile.socialnetworking.model.MeetupsEntry");
        sb.append("</model-name>");

        sb.append("<column><column-name>meetupsEntryId</column-name><column-value><![CDATA[");
        sb.append(getMeetupsEntryId());
        sb.append("]]></column-value></column>");
        sb.append("<column><column-name>groupId</column-name><column-value><![CDATA[");
        sb.append(getGroupId());
        sb.append("]]></column-value></column>");
        sb.append("<column><column-name>companyId</column-name><column-value><![CDATA[");
        sb.append(getCompanyId());
        sb.append("]]></column-value></column>");
        sb.append("<column><column-name>userId</column-name><column-value><![CDATA[");
        sb.append(getUserId());
        sb.append("]]></column-value></column>");
        sb.append("<column><column-name>userName</column-name><column-value><![CDATA[");
        sb.append(getUserName());
        sb.append("]]></column-value></column>");
        sb.append("<column><column-name>createDate</column-name><column-value><![CDATA[");
        sb.append(getCreateDate());
        sb.append("]]></column-value></column>");
        sb.append("<column><column-name>modifiedDate</column-name><column-value><![CDATA[");
        sb.append(getModifiedDate());
        sb.append("]]></column-value></column>");
        sb.append("<column><column-name>title</column-name><column-value><![CDATA[");
        sb.append(getTitle());
        sb.append("]]></column-value></column>");
        sb.append("<column><column-name>description</column-name><column-value><![CDATA[");
        sb.append(getDescription());
        sb.append("]]></column-value></column>");
        sb.append("<column><column-name>startDate</column-name><column-value><![CDATA[");
        sb.append(getStartDate());
        sb.append("]]></column-value></column>");
        sb.append("<column><column-name>endDate</column-name><column-value><![CDATA[");
        sb.append(getEndDate());
        sb.append("]]></column-value></column>");
        sb.append("<column><column-name>totalAttendees</column-name><column-value><![CDATA[");
        sb.append(getTotalAttendees());
        sb.append("]]></column-value></column>");
        sb.append("<column><column-name>maxAttendees</column-name><column-value><![CDATA[");
        sb.append(getMaxAttendees());
        sb.append("]]></column-value></column>");
        sb.append("<column><column-name>price</column-name><column-value><![CDATA[");
        sb.append(getPrice());
        sb.append("]]></column-value></column>");
        sb.append("<column><column-name>thumbnailId</column-name><column-value><![CDATA[");
        sb.append(getThumbnailId());
        sb.append("]]></column-value></column>");

        sb.append("</model>");

        return sb.toString();
    }

    private static ClassLoader      _classLoader                 = MeetupsEntry.class.getClassLoader();
    private static Class<?>[]       _escapedModelProxyInterfaces = new Class[] { MeetupsEntry.class };
    private long                    _meetupsEntryId;
    private long                    _groupId;
    private long                    _companyId;
    private long                    _userId;
    private String                  _userUuid;
    private String                  _userName;
    private Date                    _createDate;
    private Date                    _modifiedDate;
    private String                  _title;
    private String                  _description;
    private Date                    _startDate;
    private Date                    _endDate;
    private int                     _totalAttendees;
    private int                     _maxAttendees;
    private double                  _price;
    private long                    _thumbnailId;
    private transient ExpandoBridge _expandoBridge;
    private MeetupsEntry            _escapedModelProxy;
}